import { encrypt } from "../server/cookies.js";
export const generateSessionCookie = async (session, config) => {
    if (!("internal" in session)) {
        session.internal = {
            sid: "auth0-sid",
            createdAt: Math.floor(Date.now() / 1000)
        };
    }
    const maxAge = 60 * 60; // 1 hour in seconds
    const expiration = Math.floor(Date.now() / 1000 + maxAge);
    return encrypt(session, config.secret, expiration);
};
